package com.ningdatech.pmapi.user.manage;

import com.ningdatech.pmapi.user.security.auth.model.UserFullInfoDTO;
import com.ningdatech.pmapi.user.service.IUserAuthService;
import com.ningdatech.pmapi.user.service.IUserInfoService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * @author liuxinxin
 * @date 2023/1/3 上午10:57
 */

@Component
@RequiredArgsConstructor
public class UserAuthLoginManage {

    private final IUserAuthService iUserAuthService;
    private final IUserInfoService iUserInfoService;

    public UserFullInfoDTO queryUserInfoInPasswordAuth(String username) {
        UserFullInfoDTO userFullInfoDTO = new UserFullInfoDTO();
        userFullInfoDTO.setCompanyId(1L);
        userFullInfoDTO.setUserId(1L);
        userFullInfoDTO.setIdentifier("123456");
        userFullInfoDTO.setRealName("测试账号");
        userFullInfoDTO.setUsername("测试账号");
        return userFullInfoDTO;
    }
}
